<template>
    <el-card id="user-card" style="width: 100%;" shadow="never">
                    <e-row >
                    <el-container style="width: 100%;border-bottom: 1px #8e8e8e solid;padding-bottom: 20px;">
                        <el-aside width="140px" style="display: flex;justify-content: center;align-items: center;">
                            <el-avatar :size="100" :src="`api/schoolCloud/${users.avater}`" :fit="cover" />
                        </el-aside>
                        <el-main>
                            <h2 class="user-name">{{ users.uname }}</h2>
                            <el-tag class="ml-2 user-type" >{{ users.utype }}</el-tag>
                        </el-main>
                    </el-container> 
                </e-row>
                <el-row >
                    <el-col :span="8">
                        <!-- <el-icon><Edit /></el-icon> -->
                        帖子
                        <span>{{ users.postNum }}</span>
                    </el-col>
                    <el-col :span="8">
                        <!-- <el-icon><ChatLineSquare /></el-icon> -->
                        回复
                        <span>{{ users.replyNum }}</span>
                        <!-- <div class="tishi" v-if="!users.isRade"></div> -->
                    </el-col>
                    <el-col :span="8">
                        <!-- <el-icon><Star /></el-icon> -->
                        收藏
                        <span>{{ users.collNum }}</span>
                    </el-col>
                </el-row>
                </el-card>
</template>

<script lang="ts" setup>
import { defineComponent, onMounted } from 'vue';
import { reactive, ref } from 'vue';
import qs from 'qs';
import { useRoute, useRouter } from 'vue-router';
import axios from 'axios';
onMounted(() => {
    const uid = localStorage.getItem("Userid")
    axios.post('/api/schoolCloud/pages/selectUser.php', qs.stringify({uid:uid}))
                .then(res => {
                    console.log(res.data);
                    users.value = res.data
                // 根据返回的响应数据进行相应的操作
                }).catch(err => {
                console.log(err)
                })
})
// Phone: "18174462803"
// avater: "/assets/image/avater/avater1.jpg"
// city_id: "1"
// class: "213546"
// creat_time: "2023-05-18"
// id: "1"
// paw: "qq123124"
// pro_id: "15"
// school: "张家界航院"
// school_id: "2"
// sex: "男"
// signature: "时有好梦，亦怀爱意，向人间老去。"
// uname: "芹菜粉"
// user_type: "3"
// utype
// postNum
// collNum
// replyNum
const users = ref({
    Phone: "18174462803",
    avater: "/assets/image/avater/avater1.jpg",
    city_id: "1",
    class: "213546",
    creat_time: "2023-05-18",
    id: "1",
    paw: "qq123124",
    pro_id: "15",
    school: "张家界航院",
    school_id: "2",
    sex: "男",
    signature: "时有好梦，亦怀爱意，向人间老去。",
    uname: "芹菜粉",
    user_type: "3",
    utype:'',
    postNum:0,
    collNum:0,
    replyNum:0,
});
const router = useRouter();
const navigateToAbout = (type:String) => {
        router.push({ path: `/addPost/${type}` });
        };
</script>

<style lang="less" scoped>
#user-card {
    padding-top: 20px;
    .el-avatar{
        border: 1px rgb(0, 85, 255) dashed;
    }
    .user-name{
        font-size: 22px;
        font-weight: 900;
    }
    .user-type{
        font-size:18px;
        margin-top: 20px;
    }
    .el-row{
        .el-col{
            font-size: 19px;
            font-weight: 600;
            margin-top: 10px;
            padding: 40px 0;
            height: 30px;
            display: flex;
            justify-content: center;
            align-items: center;
            .tishi{
                position:relative;
                top: -30px;
                right: -10px;
                width: 8px;
                height: 8px;
                border-radius: 50%;
                background-color: rgb(241, 100, 100);
            }
            span{
                margin-left: 10px;
            }
        }
        .el-col:hover{
                background: rgba(162, 198, 245, 0.1);
                // color: rgb(82, 155, 251);
            }
    }
}
</style>